# --------------------------------------------------------------------------- #
# Copyright (c) 2021 MOVINDOT ART S.R.L. (movindot.com). All rights reserved. #
# See eula.txt in the project root for license information.                   #
# --------------------------------------------------------------------------- #

"""Drop this file in a Maya viewport to install Puppeteer."""

import os
import sys


def onMayaDroppedPythonFile(*_):
    """Install when the file is dropped in the viewport."""
    try:
        from puppeteer.setup import uninstall

        uninstall()
    except ModuleNotFoundError:
        pass

    sourcePath = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'src')

    if sourcePath not in sys.path:
        sys.path.append(sourcePath)

    from puppeteer.setup import install

    install()
